Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eztodo/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 6968 2001-09-05 11:53:39Z jhe $
5 //
6 // Created on: <18-Oct-2000 15:04:39 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 //print $REQUEST_URI;
28 $url_array = explode( "/", $REQUEST_URI );
29 switch ( $url_array[2] )
30 {
31 case "categorytypelist":
32 {
33 include( "kernel/eztodo/admin/categorytypelist.php" );
34 }
35 break;
36
37 case "categorytypeedit" :
38 {
39 switch ( $url_array[3] )
40 {
41 case "new":
42 {
43 $Action = "new";
44 include( "kernel/eztodo/admin/categorytypeedit.php" );
45 }
46 break;
47
48 case "insert":
49 {
50 $CategoryID = $url_array[4];
51 $Action = "insert";
52 include( "kernel/eztodo/admin/categorytypeedit.php" );
53 }
54 break;
55
56 case "edit":
57 {
58 $CategoryID = $url_array[4];
59 $Action = "edit";
60 include( "kernel/eztodo/admin/categorytypeedit.php" );
61 }
62 break;
63
64 case "update":
65 {
66 $CategoryID = $url_array[4];
67 $Action = "update";
68 include( "kernel/eztodo/admin/categorytypeedit.php" );
69 }
70 break;
71
72 case "delete":
73 {
74 $CategoryID = $url_array[4];
75 $Action = "delete";
76 include( "kernel/eztodo/admin/categorytypeedit.php" );
77 }
78 break;
79 }
80 }
81 break;
82
83 case "prioritytypelist":
84 {
85 include( "kernel/eztodo/admin/prioritytypelist.php" );
86 }
87 break;
88
89 case "prioritytypeedit" :
90 {
91 switch ( $url_array[3] )
92 {
93 case "new":
94 {
95 $Action = "new";
96 include( "kernel/eztodo/admin/prioritytypeedit.php" );
97 }
98 break;
99
100 case "insert":
101 {
102 $PriorityID = $url_array[4];
103 $Action = "insert";
104 include( "kernel/eztodo/admin/prioritytypeedit.php" );
105 }
106 break;
107
108 case "edit":
109 {
110 $PriorityID = $url_array[4];
111 $Action = "edit";
112 include( "kernel/eztodo/admin/prioritytypeedit.php" );
113 }
114 break;
115
116 case "update":
117 {
118 $PriorityID = $url_array[4];
119 $Action = "update";
120 include( "kernel/eztodo/admin/prioritytypeedit.php" );
121 }
122 break;
123
124 case "delete":
125 {
126 $PriorityID = $url_array[4];
127 $Action = "delete";
128 include( "kernel/eztodo/admin/prioritytypeedit.php" );
129 }
130 break;
131 }
132 }
133 break;
134
135 case "statustypelist":
136 {
137 include( "kernel/eztodo/admin/statustypelist.php" );
138 }
139 break;
140
141 case "statustypeedit" :
142 {
143 switch ( $url_array[3] )
144 {
145 case "new":
146 {
147 $Action = "new";
148 include( "kernel/eztodo/admin/statustypeedit.php" );
149 }
150 break;
151
152 case "insert":
153 {
154 $CategoryID = $url_array[4];
155 $Action = "insert";
156 include( "kernel/eztodo/admin/statustypeedit.php" );
157 }
158 break;
159
160 case "edit":
161 {
162 $CategoryID = $url_array[4];
163 $Action = "edit";
164 include( "kernel/eztodo/admin/statustypeedit.php" );
165 }
166 break;
167
168 case "update":
169 {
170 $CategoryID = $url_array[4];
171 $Action = "update";
172 include( "kernel/eztodo/admin/statustypeedit.php" );
173 }
174 break;
175
176 case "delete":
177 {
178 $CategoryID = $url_array[4];
179 $Action = "delete";
180 include( "kernel/eztodo/admin/statustypeedit.php" );
181 }
182 break;
183 }
184 }
185 break;
186
187 default:
188 {
189 print( "<h1>Sorry, Your todo page could not be found. </h1>" );
190 }
191 break;
192 }
193
194 ?>
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
$Action
$Action
Definition: companysearch.php:80
$url_array
$url_array
Definition: eztodo/admin/datasupplier.php:28
$REQUEST_URI
$REQUEST_URI
Definition: storestats.php:32
$PriorityID
$PriorityID
Definition: todoedit.php:121
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.